Model Read
curl --request GET \
--url https://api.example.com/v2/{entity}/{project}/models/{object_id}/versions/{digest} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.example.com/v2/{entity}/{project}/models/{object_id}/versions/{digest}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.example.com/v2/{entity}/{project}/models/{object_id}/versions/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object_id": "<string>",
"digest": "<string>",
"version_index": 123,
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"source_code": "<string>",
"description": "<string>",
"attributes": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Model Read
Get a model object.
GET
/
v2
/
{entity}
/
{project}
/
models
/
{object_id}
/
versions
/
{digest}
Model Read
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
Successful Response
The model ID
The digest of the model
The version index of the object
When the model was created
The name of the model
The source code of the model
Description of the model
Additional attributes stored with the model
Was this page helpful?
⌘I